CREATE TABLE hts_workloads (
    WORKLOAD_ID              NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    SCHED_UNIT_ID            NUMBER(18, 0)    NOT NULL,
    SCHED_SKILL_ID           NUMBER(18, 0)    NOT NULL,
    SHIFT_TYPE_ID            NUMBER(18, 0),
    REF_DATE                 DATE             NOT NULL,
    START_TIME_OFFSET        NUMBER(9, 0)     NOT NULL,
    END_TIME_OFFSET          NUMBER(9, 0)     NOT NULL,
    WORKLOAD_VALUE           NUMBER(15, 6),
    WORKLOAD_UOM             VARCHAR2(120),
    BREAK_MINUTES            NUMBER(9, 0) ,
    ORIGIN                   VARCHAR2(120),
    ORIGIN_WORKLOAD_TYPE     VARCHAR2(120),
    RESULT_TYPE              VARCHAR2(120),
    WORKLOAD_TYPE            VARCHAR2(120),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    WORKLOAD_ID              NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    SCHED_UNIT_ID            NUMBER(18, 0)    NOT NULL,
    SCHED_SKILL_ID           NUMBER(18, 0)    NOT NULL,
    REF_DATE                 DATE             NOT NULL,
    START_TIME_OFFSET        NUMBER(9, 0)     NOT NULL,
    END_TIME_OFFSET          NUMBER(9, 0)     NOT NULL,
    WORKLOAD_VALUE           NUMBER(15, 6),
    WORKLOAD_UOM             VARCHAR2(120),
    WORKLOAD_TYPE            VARCHAR2(120),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    SHIFT_TYPE_ID            NUMBER(18, 0),
    ORIGIN                   VARCHAR2(120),
    ORIGIN_WORKLOAD_TYPE     VARCHAR2(120),
    RESULT_TYPE              VARCHAR2(120),
    BREAK_MINUTES            NUMBER(9, 0) ,
    CONSTRAINT pk_hts_workloads PRIMARY KEY (WORKLOAD_ID, WORKLOAD_ID)
);
